## org.hibernate.cfg.annotations
Class PropertyBinder

    java.lang.Object
      org.hibernate.cfg.annotations.PropertyBinder

    public class PropertyBinder

extends Object

Author:
  Emmanuel Bernard

Constructor Summary
`PropertyBinder()`

Method Summary
`SimpleValueBinder` `getSimpleValueBinder()`
`Value` `getValue()`
`Property` `makeProperty()`
`Property` `makePropertyAndBind()`
`Property` `makePropertyValueAndBind()`
`void` `setAccessType(AccessType accessType)`
`void` `setCascade(String cascadeStrategy)`
`void` `setColumns(Ejb3Column[] columns)`
`void` `setDeclaringClass(org.hibernate.annotations.common.reflection.XClass declaringClass)`
`void` `setEmbedded(boolean embedded)`
`void` `setEntityBinder(EntityBinder entityBinder)`
`void` `setHolder(PropertyHolder holder)`
`void` `setId(boolean id)`
`void` `setInheritanceStatePerClass(Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)`
`void` `setInsertable(boolean insertable)`
`void` `setLazy(boolean lazy)`
`void` `setMappings(Mappings mappings)`
`void` `setName(String name)`
`void` `setProperty(org.hibernate.annotations.common.reflection.XProperty property)`
`void` `setReferencedEntityName(String referencedEntityName)`
`void` `setReturnedClass(org.hibernate.annotations.common.reflection.XClass returnedClass)`
`void` `setReturnedClassName(String returnedClassName)`
`void` `setUpdatable(boolean updatable)`
`void` `setValue(Value value)`
`void` `setXToMany(boolean xToMany)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyBinder

    public PropertyBinder()

Method Detail

### setReferencedEntityName

    public void setReferencedEntityName(String referencedEntityName)

### setEmbedded

    public void setEmbedded(boolean embedded)

### setEntityBinder

    public void setEntityBinder(EntityBinder entityBinder)

### setInsertable

    public void setInsertable(boolean insertable)

### setUpdatable

    public void setUpdatable(boolean updatable)

### setName

    public void setName(String name)

### setReturnedClassName

    public void setReturnedClassName(String returnedClassName)

### setLazy

    public void setLazy(boolean lazy)

### setAccessType

    public void setAccessType(AccessType accessType)

### setColumns

    public void setColumns(Ejb3Column[] columns)

### setHolder

    public void setHolder(PropertyHolder holder)

### setValue

    public void setValue(Value value)

### setCascade

    public void setCascade(String cascadeStrategy)

### setMappings

    public void setMappings(Mappings mappings)

### setDeclaringClass

    public void setDeclaringClass(org.hibernate.annotations.common.reflection.XClass declaringClass)

### makePropertyAndBind

    public Property makePropertyAndBind()

### makePropertyValueAndBind

    public Property makePropertyValueAndBind()

### setXToMany

    public void setXToMany(boolean xToMany)

### makeProperty

    public Property makeProperty()

### setProperty

    public void setProperty(org.hibernate.annotations.common.reflection.XProperty property)

### setReturnedClass

    public void setReturnedClass(org.hibernate.annotations.common.reflection.XClass returnedClass)

### getSimpleValueBinder

    public SimpleValueBinder getSimpleValueBinder()

### getValue

    public Value getValue()

### setId

    public void setId(boolean id)

### setInheritanceStatePerClass

    public void setInheritanceStatePerClass(Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.